### Method

# GdkPixbuf.Pixbuf.composite

#### Declaration [src]

    void
    gdk_pixbuf_composite (
      const GdkPixbuf* src,
      GdkPixbuf* dest,
      int dest_x,
      int dest_y,
      int dest_width,
      int dest_height,
      double offset_x,
      double offset_y,
      double scale_x,
      double scale_y,
      GdkInterpType interp_type,
      int overall_alpha
    )

#### Description [src]

Creates a transformation of the source image `src` by scaling by `scale_x` and `scale_y` then translating by `offset_x` and `offset_y`.

This gives an image in the coordinates of the destination pixbuf. The rectangle (`dest_x`, `dest_y`, `dest_width`, `dest_height`) is then alpha blended onto the corresponding rectangle of the original destination image.

When the destination rectangle contains parts not in the source image, the data at the edges of the source image is replicated to infinity.

#### Parameters

`dest` | `GdkPixbuf`
| the `GdkPixbuf` into which to render the results
| Ownership is not transferred to the callee
`dest_x` | `int`
| the left coordinate for region to render
`dest_y` | `int`
| the top coordinate for region to render
`dest_width` | `int`
| the width of the region to render
`dest_height` | `int`
| the height of the region to render
`offset_x` | `double`
| the offset in the X direction (currently rounded to an integer)
`offset_y` | `double`
| the offset in the Y direction (currently rounded to an integer)
`scale_x` | `double`
| the scale factor in the X direction
`scale_y` | `double`
| the scale factor in the Y direction
`interp_type` | `GdkInterpType`
| the interpolation type for the transformation.
`overall_alpha` | `int`
| overall alpha for source image (0..255)